# История изменений KSE Firmware Upgrade



## [201.03.12.10] - 16.06.2023

### Добавлено

*  Сообщение о подключении более одного устройства в режиме обновления ПО.
*  Блокировка кнопок при подключении более одного устройства в режиме обновления ПО.



## [201.03.12.06] - 09.06.2023

### Исправлено

*  Повторная загрузка системного ПО из архива.



## [201.03.12.05] - 29.05.2023

### Изменено

*  Запрещает загрузку пользовательского ПО при несовпадении типа и модификации устройства с системным ПО установленном на устройство.



## [201.03.12.03] - 05.05.2023

### Исправлено

*  Отображение на мониторах с высоким разрешением.



## [201.03.12.02] - 21.11.2022

### Добавлено

*  Копирование папки boards из архива в устройство.
*  Пунк "Загрузить web интерфейс" в окно "Опции загрузки".



## [201.03.12.01] - 20.06.2022

### Исправлено

*  Подключение по FTP.

### Изменено

*  Модуль работы с FTP файлами.
*  Отображение сообщений при работе с FTP.

### Добавлено

*  Переключение отображения системных сообщений по горячей клавише Ctrl+L



## [201.03.11.01] - 01.06.2022

### Добавлено

*  Сравнение файлов настроек при загрузки на устройство.
*  Выбор ip адреса в главном окне.



## [201.03.10.02] - 22.11.2021

### Добавлено

*  Диалог выбора при отсутствии подключения к FTP.
*  Пропуск загрузки и выгрузки файлов ресурсов веб-интерфейса при отсутствии их в загружаемом архиве.

### Изменено

* Ведение лог файла



## [201.03.10.01] - 19.11.2021

### Изменено

* Ведение лог файла



## [201.03.09.02] - 14.10.2021

### Добавлено

* Запись в лог при перезагрузке устройства программой.

### Изменено

* Формулировка "Устройство не переведено в режим обновления ПО" на "Устройство вышло из режима обновления ПО."



## [201.03.09.01] - 05.02.2021

### Добавлено

* Копирование файла redirect.html

### Изменено

* Формулировка "Устройство не переведено в режим обновления ПО" на "Устройство вышло из режима обновления ПО."



## [201.03.08.01] - 05.02.2021

### Изменено

* Создание, удаление и структура временных файлов.



## [201.03.07.12] - 28.01.2021

### Удалено

* Отображение меню загрузки, после считывания с устройства.



## [201.03.07.11 - 26.01.2021

### Изменено

* Сглажена индикация подключения по TCP.
* Проверка стартового адреса и размера пользовательского ПО.

### Исправлено

* Конфликт подключения к FTP c DrWeb.



## [201.03.07.10 - 05.11.2020

### Добавлено

* Проверка начального адреса и размера пользовательского ПО.



## [201.03.07.09 - 19.10.2020

### Изменено

* Сообщения завершения обновления пользовательского ПО.

### Удалено

* Ожидание после перезагрузки устройства.



## [201.03.07.08 - 14.08.2020

### Изменено

* Сообщения завершения обновления системного ПО.



## [201.03.07.07 - 06.08.2020

### Добавлено

* Добавлена кнопка "пропустить" в окно выбора действия.
* Локализация кнопок "Да", "Нет".

### Исправлено

* Пропуск резервного копирования при отсутствии системного ПО в устройстве.
* Исправлен запуск пункта "Установить драйвер устройства" на windows10.
* Исправлено создание резервной копии для старых устройств.

### Изменено

* Дизайн.



## [201.03.07.06 - 05.08.2020

### Исправлено

* Ошибка чтения параметров флеш-памяти STM32F427.

### Изменено

* Вернули проверку размера флеш-памяти.



## [201.03.07.05 - 03.08.2020

### Исправлено

* Руководство.

### Удалено

* Проверка размера флеш-памяти.



## [201.03.07.04 - 25.06.2020

### Добавлено

* Отображение истории изменений.
* Возможность задать время ожидания подключения по FTP и TCP.

### Исправлено

* Исправлена надпись при загрузке стирающей прошивки.



## [201.03.07.03 - 23.06.2020

### Добавлено

* Валидатор IP v4.
* Сброс настроек на значения по умолчанию.
* Перезагрузка устройства после загруки одиночного файла dfu.
* Открытие меню после загрузки, если был выбран файл архива.

### Удалено

* Кнопка "Покинуть режим DFU".
* Запуск приложения от имени администратора UAC.

### Исправлено

* Исправлены сообщения об ошибках, список устройств.



## [201.03.07.02 - 17.06.2020

### Добавлено

* Загрузка bin файлов из архива.
* Открытие виджета загрузки, после окончания загрузки.
* Лог в файл.

### Изменено

* Объединение пунктов создание копии системного ПО и веб-интерфейса.


## [201.03.07.01 - 15.06.2020

### Добавлено

* Добавлена перезагрузка устройства после загрузки файлов.

### Изменено

* Изменения модулей отображения состояния режимов TCP и DFU.
* Изменен файл конфигурации устройств.
* Убраны настройки подключения из виджета загрузки.
* Объединены пункты "Системное ПО" и "Веб-интерфейс".

### Исправлено

* Исправлено отображение информации о прошлой загрузке.



## [201.03.06.01 - 04.06.2020 

* Востановление настройки устройства из архива.
* Установка необходимых драйверов для работы с устройством.
* Рефакториниг библиотеки управления этапами загрузки файлов на устройство.
* Исправленна ошибка загрузки файлов на пустое устройство.
* Оформление. Добавление отображения прогресса загрузки.



## [201.03.05.01 - 23.04.2020 

* Резервное копирование файлов настройки с устройства.



## [201.03.04.01 - 08.04.2020 

* Возможность выйти из режима DFU.
* Отображение сотояния подключения по DFU и TCP/IP.
* Настройка создания резервной копии.
* Работа с новым форматом записи версии системного и прикладного ПО.
* Отображение файла истории системного ПО.



## [201.03.03.06 - 23.12.2019 

* Исправлено оформление.



## [201.03.03.05 - 23.12.2019 

* Исправлена ошибка вылета в Windows 10.
* Логирование.



## [201.03.03.04 - 08.11.2019 

* Настройки подключения по FTP.



## [201.03.03.03 - 02.09.2019 

* Добавлены кнопки загрузки ПО по отдельности.
* Добавлена возможность загрузки системного ПО без архива.
* Вывод предупреждения при несоответствия устройств старой и новой прошивки, по версии прошивки.



## [201.03.03.01 - 23.08.2019 

* Исправлены ошибки работы интерфейса.Исправлен адрес ftp c 192.168.0.100 на 169.254.241.1



## [201.03.03.00 - 22.08.2019 

* Добавлена функция загрузки системного ПО и веб-интерфейса из архива.



## [201.03.01.03 - 19.07.2019 

* Изменено оформление интерфейса и Руководство пользователя.



## [201.03.01.02 - 18.07.2019 

* Изменено оформление интерфейса и Руководство пользователя.



## [201.03.01.01 - 02.07.2019 

* Запрещен вызов общих функций из потока проверки состояния dfu.
* Добавлена проверка наличия файла названий типов устройств.
* Исправлена ошибка при отсутствии названия определенного типа устройства.


