$(document).ready(function()
{
	common.show_main_view_intreface()
	common.show_errors_info()
	common.show_dump_button()
	
	//TODO Promise.all([ota_settings_script, app_sw_script])
	utils.load_script('network_settings.js')
	.then(() => utils.load_script('app_sw_control.js'))
	.then(() => utils.load_script('app_sw.js'))
	.then(() => app_sw_control.main())
	.then(() => app_sw.main())
	.then(() => mcu_common.request_board_types())
	.then(text => common.response_ready(text))
	.then(values => async function(values) {
		let product_code = values[0]
		let types = values.slice(1)
		let product_code_arr = get_set_value.ip2array(product_code)
		mcu_common.set_boards_count(product_code_arr)
		mcu_common.show_boards_types_setting()
		mcu_common.show_boards_by_type(types, product_code_arr)
		await network_settings.show(product_code_arr[2])

		common.on_page_loading_finished()
		user.parse_page()
	}(values))
})
